Page MenuHomePhabricator

[PowerPC] Enable default support of quad precision operations
ClosedPublic

Authored by lei on Jul 8 2020, 3:19 PM.

Details

Summary

Remove option guarding support of quad precision operations.

Diff Detail

Event Timeline

lei created this revision.Jul 8 2020, 3:19 PM
Herald added a project: Restricted Project. · View Herald TranscriptJul 8 2020, 3:19 PM
lei added reviewers: nemanjai, Restricted Project.Jul 8 2020, 3:20 PM
qiucf added a subscriber: qiucf.Jul 8 2020, 7:06 PM
qiucf added inline comments.
llvm/test/CodeGen/PowerPC/builtins-ppc-p9-f128.ll
58

Misindent?

lei removed a reviewer: qshanz.Jul 9 2020, 6:24 AM
steven.zhang accepted this revision.Jul 10 2020, 12:59 AM

LGTM as long as you fix that unintend change of that line of the test.

This revision is now accepted and ready to land.Jul 10 2020, 12:59 AM
nemanjai added inline comments.Jul 10 2020, 8:51 AM
llvm/test/CodeGen/PowerPC/float-load-store-pair.ll
71

This missing store is a bit of a concern.

nemanjai accepted this revision.Jul 10 2020, 8:52 AM

LGTM. Thank you.

llvm/test/CodeGen/PowerPC/float-load-store-pair.ll
71

Oh NVM. That is a store to pass the f128 on the stack which we don't need to do according to the ABI.

This revision was automatically updated to reflect the committed changes.